Bug 484785 - BUG: unable to handle kernel NULL pointer dereference i915_driver_irq_handler
BUG: unable to handle kernel NULL pointer dereference i915_driver_irq_handler
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 16:25 EST by Mace Moneta
Modified: 2009-11-30 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 01:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2009-02-09 16:25:26 EST
Description of problem:

While running Google Earth on a non-compiz (metacity) Gnome desktop on a SuperMicro C2SEA motherboard (Intel G45/X4500HD, 8GB RAM), the system locked hard (no alt-sysreq, no ssh).  The following was captured via netconsole:

Feb  9 16:00:05 slayer BUG: unable to handle kernel 
Feb  9 16:00:05 NULL pointer dereference
Feb  9 16:00:05  at 00000000000000a0
Feb  9 16:00:05 slayer IP:
Feb  9 16:00:05  [<ffffffffa02f148e>] i915_driver_irq_handler+0x29/0x207 [i915]
Feb  9 16:00:05 PGD 239c77067 
Feb  9 16:00:05 PUD 2320a1067 
Feb  9 16:00:05 PMD 0 
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer Oops: 0000 [1] 
Feb  9 16:00:05 slayer SMP
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 CPU 2 
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 Modules linked in:
Feb  9 16:00:05  i915
Feb  9 16:00:05  drm
Feb  9 16:00:05  fuse
Feb  9 16:00:05  rfcomm
Feb  9 16:00:05  bridge
Feb  9 16:00:05  stp
Feb  9 16:00:05  bnep
Feb  9 16:00:05  netconsole
Feb  9 16:00:05  sco
Feb  9 16:00:05  configfs
Feb  9 16:00:05  l2cap
Feb  9 16:00:05  w83627ehf
Feb  9 16:00:05  hwmon_vid
Feb  9 16:00:05  coretemp
Feb  9 16:00:05  hwmon
Feb  9 16:00:05  ip6t_REJECT
Feb  9 16:00:05  nf_conntrack_ipv6
Feb  9 16:00:05  ip6table_filter
Feb  9 16:00:05  ip6_tables
Feb  9 16:00:05  ipv6
Feb  9 16:00:05  cpufreq_ondemand
Feb  9 16:00:05  acpi_cpufreq
Feb  9 16:00:05  freq_table
Feb  9 16:00:05  dm_multipath
Feb  9 16:00:05  kvm_intel
Feb  9 16:00:05  kvm
Feb  9 16:00:05  uinput
Feb  9 16:00:05  snd_hda_intel
Feb  9 16:00:05  snd_seq_dummy
Feb  9 16:00:05  snd_seq_oss
Feb  9 16:00:05  snd_seq_midi_event
Feb  9 16:00:05  snd_seq
Feb  9 16:00:05  snd_seq_device
Feb  9 16:00:05  snd_pcm_oss
Feb  9 16:00:05  snd_mixer_oss
Feb  9 16:00:05  snd_pcm
Feb  9 16:00:05  snd_timer
Feb  9 16:00:05  snd_page_alloc
Feb  9 16:00:05  pata_it8213
Feb  9 16:00:05  r8169
Feb  9 16:00:05  snd_hwdep
Feb  9 16:00:05  usb_storage
Feb  9 16:00:05  btusb
Feb  9 16:00:05  tulip
Feb  9 16:00:05  snd
Feb  9 16:00:05  soundcore
Feb  9 16:00:05  firewire_ohci
Feb  9 16:00:05  i2c_i801
Feb  9 16:00:05  bluetooth
Feb  9 16:00:05  zaurus
Feb  9 16:00:05  i2c_core
Feb  9 16:00:05  cdc_ether
Feb  9 16:00:05  usbnet
Feb  9 16:00:05  mii
Feb  9 16:00:05  firewire_core
Feb  9 16:00:05  crc_itu_t
Feb  9 16:00:05  ata_generic
Feb  9 16:00:05  pata_acpi
Feb  9 16:00:05  [last unloaded: nf_nat]
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer Pid: 0, comm: swapper Not tainted 2.6.27.12-170.2.5.fc10.x86_64 #1
Feb  9 16:00:05 slayer RIP: 0010:[<ffffffffa02f148e>] 
Feb  9 16:00:05  [<ffffffffa02f148e>] i915_driver_irq_handler+0x29/0x207 [i915]
Feb  9 16:00:05 slayer RSP: 0018:ffff88023f0fbeb8  EFLAGS: 00010296
Feb  9 16:00:05 slayer RAX: 0000000000000000 RBX: ffff880210d0a980 RCX: 000000000000c882
Feb  9 16:00:05 slayer RDX: 000000000000c882 RSI: ffff880217cc1000 RDI: 0000000000000010
Feb  9 16:00:05 slayer RBP: ffff88023f0fbf08 R08: 0000000000000000 R09: ffff880028059200
Feb  9 16:00:05 slayer R10: 0000000000000001 R11: ffff88023f0fbf28 R12: ffff880217cc7000
Feb  9 16:00:05 slayer R13: ffff880217cc1000 R14: 0000000000000010 R15: ffff88023f1d0000
Feb  9 16:00:05 slayer FS:  0000000000000000(0000) GS:ffff88023fc04d00(0000) knlGS:0000000000000000
Feb  9 16:00:05 slayer CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Feb  9 16:00:05 slayer CR2: 00000000000000a0 CR3: 0000000237556000 CR4: 00000000000026e0
Feb  9 16:00:05 slayer DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Feb  9 16:00:05 slayer DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Feb  9 16:00:05 Process swapper (pid: 0, threadinfo ffff88023f0f4000, task ffff88023f0eae20)
Feb  9 16:00:05 slayer Stack: 
Feb  9 16:00:05  ffff88023addd400
Feb  9 16:00:05  0000000000000000
Feb  9 16:00:05  0000000000000296
Feb  9 16:00:05  0000000000000010
Feb  9 16:00:05 slayer 
Feb  9 16:00:05  ffff88023f0fbf08
Feb  9 16:00:05  ffff880210d0a980
Feb  9 16:00:05  0000000000000000
Feb  9 16:00:05  0000000000000000
Feb  9 16:00:05 slayer 
Feb  9 16:00:05  0000000000000010
Feb  9 16:00:05  ffff88023f1d0000
Feb  9 16:00:05  ffff88023f0fbf38
Feb  9 16:00:05  ffffffff81082a23
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 Call Trace:
Feb  9 16:00:05  <IRQ> 
Feb  9 16:00:05  [<ffffffff81082a23>] handle_IRQ_event+0x33/0x6f
Feb  9 16:00:05  [<ffffffff81083e16>] handle_fasteoi_irq+0xa5/0xeb
Feb  9 16:00:05  [<ffffffff8101309e>] do_IRQ+0xf7/0x169
Feb  9 16:00:05  [<ffffffff81010933>] ret_from_intr+0x0/0x2e
Feb  9 16:00:05  <EOI> 
Feb  9 16:00:05  [<ffffffff811bd66e>] ? acpi_idle_enter_simple+0x175/0x1b4
Feb  9 16:00:05  [<ffffffff811bd666>] ? acpi_idle_enter_simple+0x16d/0x1b4
Feb  9 16:00:05  [<ffffffff81286d03>] ? cpuidle_idle_call+0x95/0xc9
Feb  9 16:00:05  [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
Feb  9 16:00:05  [<ffffffff8132db8c>] ? start_secondary+0x16e/0x173
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer Code: 
Feb  9 16:00:05 slayer c9
Feb  9 16:00:05 slayer c3
Feb  9 16:00:05 slayer 55
Feb  9 16:00:05 slayer 48
Feb  9 16:00:05 slayer 89
Feb  9 16:00:05 slayer e5
Feb  9 16:00:05 slayer 41
Feb  9 16:00:05 slayer 57
Feb  9 16:00:05 slayer 41
Feb  9 16:00:05 slayer 56
Feb  9 16:00:05 slayer 41
Feb  9 16:00:05 slayer 55
Feb  9 16:00:05 slayer 49
Feb  9 16:00:05 slayer 89
Feb  9 16:00:05 slayer f5
Feb  9 16:00:05 slayer 41
Feb  9 16:00:05 slayer 54
Feb  9 16:00:05 slayer 53
Feb  9 16:00:05 slayer 48
Feb  9 16:00:05 slayer 83
Feb  9 16:00:05 slayer ec
Feb  9 16:00:05 slayer 28
Feb  9 16:00:05 slayer 48
Feb  9 16:00:05 slayer 8b
Feb  9 16:00:05 slayer 86
Feb  9 16:00:05 slayer 18
Feb  9 16:00:05 slayer 04
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 4c
Feb  9 16:00:05 slayer 8b
Feb  9 16:00:05 slayer a6
Feb  9 16:00:05 slayer d8
Feb  9 16:00:05 slayer 03
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 48
Feb  9 16:00:05 slayer 8b
Feb  9 16:00:05 slayer 80
Feb  9 16:00:05 slayer 68
Feb  9 16:00:05 slayer 02
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer 8b
Feb  9 16:00:05 slayer 80
Feb  9 16:00:05 slayer a0
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 48
Feb  9 16:00:05 slayer 89
Feb  9 16:00:05 slayer 45
Feb  9 16:00:05 slayer c0
Feb  9 16:00:05 slayer f0
Feb  9 16:00:05 slayer 41
Feb  9 16:00:05 slayer ff
Feb  9 16:00:05 slayer 84
Feb  9 16:00:05 slayer 24
Feb  9 16:00:05 slayer f0
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 00
Feb  9 16:00:05 slayer 49
Feb  9 16:00:05 slayer 
Feb  9 16:00:05 slayer RIP
Feb  9 16:00:05  [<ffffffffa02f148e>] i915_driver_irq_handler+0x29/0x207 [i915]
Feb  9 16:00:05  RSP <ffff88023f0fbeb8>
Feb  9 16:00:05 slayer CR2: 00000000000000a0
Feb  9 16:00:05 slayer ---[ end trace bb3cd92e3f87e840 ]---
Feb  9 16:00:05 Kernel panic - not syncing: Aiee, killing interrupt handler!


Version-Release number of selected component (if applicable):

kernel-2.6.27.12-170.2.5.fc10.x86_64
mesa-dri-drivers-7.2-0.15.fc10.x86_64
mesa-libGL-7.2-0.15.fc10.x86_64
mesa-libGL-7.2-0.15.fc10.i386
mesa-libGLU-7.2-0.15.fc10.x86_64
mesa-libGLU-7.2-0.15.fc10.i386
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64


How reproducible:

Unknown

Steps to Reproduce:
1. Unknown
2.
3.
  
Actual results:

System locked hard

Expected results:

Normal operation, error recovery

Additional info:
Comment 1 Chuck Ebbert 2009-02-10 03:31:26 EST
irqreturn_t i915_driver_irq_handler(DRM_IRQ_ARGS)
{
 struct drm_device *dev = (struct drm_device *) arg;
 drm_i915_private_t *dev_priv = (drm_i915_private_t *) dev->dev_private;
 struct drm_i915_master_private *master_priv = dev->primary->master->driver_priv;


dev->primary->master is NULL
Comment 2 Bug Zapper 2009-11-18 04:49:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mace Moneta 2009-11-30 01:33:40 EST
After upgrading to F12, I'm no longer seeing this.  Closing.

Note You need to log in before you can comment on or make changes to this bug.